# Template Function cif::format

- Defined in File format.hpp

## Function Documentation

template<typename ...Args>
constexpr auto cif::format(std::string_view fmt, Args... args)

  A simplistic reimplementation of boost::format, in fact it is actually a way to call the C function snprintf to format the arguments in args into the format string fmt.

  The string in fmt should thus be a C style format string.

  TODO: Move to C++23 style of printing.

  Template Parameters:

    Args – The types of the arguments

  Parameters:

    - fmt – The format string

    - args – The arguments

  Returns:

    An object that can be written out to a std::ostream using operator<<